System.Design 2.0.0.0 System.ComponentModel.TypeConverter

The class converts an to a string for the property-editing grid at design time, which always appears as an empty string ("").

A designer host, such as vsprvslong, uses the and class implementations with the and classes to set the expression bindings for control properties at design time, and the to persist the expressions for run time. Expression strings reference a localizable resource, an application setting, a connection string, or a custom expression type. The expression string is bound to the control property at design time, and then used at run time to determine the value for the property.

You should never access a type converter directly. This implementation of is intended only for use by an object at design time.

Provides a type converter for expression binding collections.

- Constructor
  2.0.0.0

  You should never access a type converter directly. This implementation of is intended only for use by an object at design time.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Object `` `` `` ``

  You should never access a type converter directly. This implementation of is intended only for use by an object at design time.

  Converts an expression binding collection to the specified type.

  If is not of type , the object produced by the type conversion; otherwise, if is a string, an empty string ("").

  An object that indicates the component or control the expression binding collection belongs to. A object that can be used to provide additional culture information. The object to convert. The type to convert to.